# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "riven"
version = "2.51.0"
authors = ["Mingwei Samuel <mingwei.samuel@gmail.com>"]
build = false
include = [
    "src/**",
    "../README.md",
    "/examples",
]
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Riot Games API Library"
readme = "README.md"
keywords = [
    "riot-games",
    "riot",
    "league",
    "league-of-legends",
]
categories = [
    "api-bindings",
    "web-programming::http-client",
    "wasm",
]
license = "MIT"
repository = "https://github.com/MingweiSamuel/Riven"

[package.metadata.docs.rs]
features = ["nightly"]

[lib]
name = "riven"
crate-type = [
    "cdylib",
    "rlib",
]
path = "src/lib.rs"

[[example]]
name = "proxy"
path = "examples/proxy/main.rs"
required-features = ["__proxy"]

[dependencies.futures]
version = "0.3"

[dependencies.log]
version = "0.4"

[dependencies.num_enum]
version = "0.5"

[dependencies.parking_lot]
version = "0.12"

[dependencies.reqwest]
version = "0.11"
features = [
    "gzip",
    "json",
]
default-features = false

[dependencies.scan_fmt]
version = "0.2"
default-features = false

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.serde_repr]
version = "0.1"

[dependencies.slab]
version = "0.4"

[dependencies.strum]
version = "0.20"

[dependencies.strum_macros]
version = "0.20"

[dependencies.tracing]
version = "0.1"
optional = true

[dev-dependencies.env_logger]
version = "0.10.0"

[dev-dependencies.fake_instant]
version = "0.5.0"

[dev-dependencies.tracing]
version = "0.1"

[dev-dependencies.tracing-subscriber]
version = "0.2"

[features]
__proxy = []
default = ["default-tls"]
default-tls = ["reqwest/default-tls"]
deny-unknown = [
    "deny-unknown-fields",
    "deny-unknown-enum-variants",
]
deny-unknown-enum-variants = [
    "deny-unknown-enum-variants-strings",
    "deny-unknown-enum-variants-integers",
]
deny-unknown-enum-variants-integers = []
deny-unknown-enum-variants-strings = []
deny-unknown-fields = []
native-tls = ["reqwest/native-tls"]
nightly = ["parking_lot/nightly"]
rustls-tls = ["reqwest/rustls-tls"]

[target."cfg(not(target_family = \"wasm\"))".dependencies.tokio]
version = "1"
features = ["time"]
default-features = false

[target."cfg(not(target_family = \"wasm\"))".dev-dependencies.hyper]
version = "0.14"
features = ["server"]

[target."cfg(not(target_family = \"wasm\"))".dev-dependencies.tokio]
version = "1"
features = [
    "macros",
    "rt-multi-thread",
]

[target."cfg(not(target_family = \"wasm\"))".dev-dependencies.tokio-shared-rt]
version = "0.1"

[target."cfg(target_family = \"wasm\")".dependencies.gloo-timers]
version = "0.3"
features = ["futures"]

[target."cfg(target_family = \"wasm\")".dependencies.web-time]
version = "1.0.0"

[target."cfg(target_family = \"wasm\")".dev-dependencies.console_error_panic_hook]
version = "0.1"

[target."cfg(target_family = \"wasm\")".dev-dependencies.console_log]
version = "1.0"

[target."cfg(target_family = \"wasm\")".dev-dependencies.wasm-bindgen]
version = "0.2"

[target."cfg(target_family = \"wasm\")".dev-dependencies.wasm-bindgen-test]
version = "0.3"
